# -*- coding: latin-1 -*-

""" Gnrateur de quizz (lmentaire!) """

from random import choice

def quizz(dict):
	questions = dict.keys()
	while questions:
		question = choice(questions)
		answer = (yield question)
		if dict[question] == answer:
			print "YES :-)"
			questions.remove(question)
		else:
			print "NO :-("

if __name__ == '__main__':

	capitales = {
		'Suisse': 'Berne',
		'Allemagne': 'Berlin',
		'Italie': 'Rome',
		'France': 'Paris'
	}

	q = quizz(capitales)
	try:
		c = q.next()
		while True:
			answer = raw_input("Capitale de: " + c +"? ")
			c = q.send(answer)
	except StopIteration:
		pass
