# -*- coding: latin-1 -*-

""" Gnrateur (simpliste) de XML """

from __future__ import with_statement
from contextlib import contextmanager

import sys

@contextmanager
def tag(t, **args):
	attr = " ".join(["%s=%s" % (k,v) for k,v in args.iteritems()])
	if attr: attr = " "+attr
	print '<%s%s>' % (t, attr)
	yield
	print '</%s>' % t

if __name__ == '__main__':

	with tag('L1', attr1=1, attr2=2):
		print "in L1"
		with tag('L2'):
			print "in L2"
		print "in L1 again"
	print "out"