# -*- coding: latin-1 -*-

'''
Conteneur gnrique.
Exemple d'utlisation:

>>> c = GenericContainer(toto=1,test="string")
>>> c.toto
1
>>> print c.test
string
>>> c.blah
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
AttributeError: GenericContainer instance has no attribute 'blah'
>>> c2 = GenericContainer(blah=1)
>>> print c2.blah
1
>>> c2.toto
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
AttributeError: GenericContainer instance has no attribute 'toto'
'''

class GenericContainer:
	def __init__(self,**kwargs):
		for k,v in kwargs.iteritems():
			setattr(self,k,v)


def _test():
	''' Prend l'exemple d'utilisation ci-dessus et l'utilise comme test unitaire... '''
	import doctest
	doctest.testmod()

if __name__ == "__main__":
	_test()