# -*- coding: latin-1 -*-

""" Gestionnaire de contexte faisant un simple log des erreurs  la console """

from __future__ import with_statement

class error_catcher:

	def __enter__(self):
		pass
	
	def __exit__(self,type,value,traceback):
		if type != None:
			print "*** An error occurred in line %d!" % traceback.tb_lineno
			print "***     type:   ", type
			print "***     error:  ", value
			return True

if __name__ == '__main__':

	print "Let's go!"

	with error_catcher():
		for i in range(3,-1,-1):
			print 1.0/i
		
	print "The End!"